AQ(4)

NAME
aq - Aquantia / Marvell AQ1xx 10 Gigabit Ethernet driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device aq

To load the driver as a module at boot time, place the following line in loader.conf(5):

    if_aq_load="YES"

DESCRIPTION
The aq device driver provides support for PCIe 1/2.5/5/10 Gigabit Ethernet adapters based on Aquantia (now Marvell) AQtion AQC1xx Ethernet controllers.

For more information on configuring this device, see ifconfig(8).

The aq driver is experimental, and has a number of caveats and limitations.

HARDWARE
The aq driver supports the following 10 Gigabit Ethernet PCIe controllers:

•   aQuantia AQC107
•   aQuantia AQC108
•   aQuantia AQC109
•   aQuantia AQC111
•   aQuantia AQC112

SEE ALSO
arp(4), miibus(4), ifconfig(8)